#!/bin/bash
# Usage: $0 [DATA_DIR] [NAME]
set -e
set -x
function variables() {
	NAME="${2:-multimc5}"
	if [ "${1}" ]; then
		DATA_DIR="${1}"
	else
		if [ "${XDG_DATA_HOME}" ]; then
			DATA_DIR="${XDG_DATA_HOME}/${NAME}"
		elif [ -d "${HOME}/.local/share" ]; then
			DATA_DIR="${HOME}/.local/share/${NAME}"
		else
			DATA_DIR="${HOME}/.${NAME}"
		fi
	fi
	if [[ $(uname -m) == x86_64 ]]; then
		LIB_PATH="/usr/lib64"
	else
		LIB_PATH="/usr/lib"
	fi
}

function main() {
	variables $@
	mkdir --parents "${DATA_DIR}"
	export LD_LIBRARY_PATH="${LIB_PATH}/multimc5/"
	${LIB_PATH}/multimc5/MultiMC --dir "${DATA_DIR}" | \
	${LIB_PATH}/multimc5/MultiMC5 --dir "${DATA_DIR}"
}
main $@
