%global debug_package %{nil}
%global name1 libnbtplusplus
%global version1 multimc-0.5.0

Name: multimc5
Version: 0.5.1
Release: 2%{?dist}
Summary: Minecraft launcher with ability to manage multiple instances

Group: Amusements/Games
License: ASL 2.0
URL: https://multimc.org

Source0: https://github.com/MultiMC/MultiMC5/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1: https://github.com/MultiMC/libnbtplusplus/archive/%{version1}/%{name1}-%{version1}.tar.gz
Source2: multimc5.desktop
Source3: multimc5.sh

BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: java-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: zlib-devel
Requires: java-headless

%description
MultiMC is a free, open source launcher for Minecraft. It allows you to have
multiple, separate instances of Minecraft (each with their own mods, texture
packs, saves, etc) and helps you manage them and their associated options with
a simple interface.


%prep
%setup -qn MultiMC5-%{version}
# https://github.com/MultiMC/MultiMC5/issues/1836
sed -i 's|#include <memory>|#include <functional>\n#include <memory>|' api/logic/QObjectPtr.h

gzip -dc %{_sourcedir}/%{name1}-%{version1}.tar.gz | tar -xvvf -
mv %{name1}-%{version1}/* libraries/%{name1}
rm -rf %{name1}-%{version1}

# BundleUtilities does not recognize compiled executable properly
#sed -i '\|^fixup_bundle|d' application/install_prereqs.cmake.in

%build
%cmake -DCMAKE_INSTALL_PREFIX="%{_libdir}/%{name}" .
make %{?_smp_mflags}

%install
install -d -m 0755 %{buildroot}%{_libdir}/%{name}
install -d -m 0755 %{buildroot}%{_libdir}/%{name}/jars
install -p -m 0644 jars/*.jar %{buildroot}%{_libdir}/%{name}/jars
install -p -s -m 0755 *.so %{buildroot}%{_libdir}/%{name}
install -p -s -m 0755 MultiMC %{buildroot}%{_libdir}/%{name}

install -d -m 0755 %{buildroot}%{_bindir}
install -p -m 0755 %{SOURCE3} %{buildroot}%{_bindir}/%{name}

install -d -m 0755 %{buildroot}%{_datadir}/applications
desktop-file-install %{SOURCE2}

install -d -m 0755 %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
install -p -m 0644 application/resources/multimc/scalable/multimc.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :

%files
%{_bindir}/*
%{_libdir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%license COPYING.md

%changelog
* Wed Mar  8 2017  Samuel Rakitničan <samuel.rakitnican@gmail.com> 0.5.1-2
- Fix for GCC 7 MultiMC-GH(#1836)

* Wed Mar  8 2017  Samuel Rakitničan <samuel.rakitnican@gmail.com> 0.5.1-1
- Update to a new version: MultiMC, libnbt++
- Unpack libnbtplusplus to libraries/ instead of depends/
- Install all libraries and jars, not just specific ones

* Tue Dec 20 2016  Samuel Rakitničan <samuel.rakitnican@gmail.com> 0.4.11-2
- Changed Java build package requirement to a more generic name
- Changed to a Qt devel package that is included in all recent releases
- Added Java requirement, necessary for some program functions

* Mon Dec 19 2016  Samuel Rakitničan <samuel.rakitnican@gmail.com> 0.4.11-1
- Initial Build
